Loading...
Searching...
No Matches
TerminalInputParser Class Reference

## Data Structures

union | Output.__unnamed0__

## Public Member Functions

| TerminalInputParser (Sender< Task > out)
void | Timeout (int time)
void | Add (char c)

## Detailed Description

Definition at line 18 of file terminal_input_parser.hpp.

## Data Structure Documentation

## ftxui::TerminalInputParser::Output.__unnamed0__

union ftxui::TerminalInputParser::Output.__unnamed0__

Definition at line 45 of file terminal_input_parser.hpp.

Data Fields
Mouse | mouse |
CursorPosition | cursor |
int | cursor_shape |

## Constructor & Destructor Documentation

## TerminalInputParser()

TerminalInputParser | ( | Sender< Task > | out | ) |

explicit

Definition at line 93 of file terminal_input_parser.cpp.

## Member Function Documentation

## Timeout()

void Timeout | ( | int | time | ) |

Definition at line 96 of file terminal_input_parser.cpp.

## Add()

void Add | ( | char | c | ) |

Definition at line 108 of file terminal_input_parser.cpp.

The documentation for this class was generated from the following files:

- src/ftxui/component/terminal_input_parser.hpp
- src/ftxui/component/terminal_input_parser.cpp